### Function

# Gegl create_chain

#### Declaration [src]

    void
    gegl_create_chain (
      const char* ops,
      GeglNode* op_start,
      GeglNode* op_end,
      double time,
      int rel_dim,
      const char* path_root,
      GError** error
    )

#### Description [src]

Create a node chain from an unparsed commandline string.

#### Parameters

`ops`

  Type: `const char*`

  An argv style, NULL terminated array of arguments.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`op_start`

  Type: `GeglNode`

  Node to pass in as input of chain.

  The data is owned by the caller of the function.

`op_end`

  Type: `GeglNode`

  Node to get processed data.

  The data is owned by the caller of the function.

`time`

  Type: `double`

  The time to use for interpolatino of keyframed values.

`rel_dim`

  Type: `int`

  Relative dimension to scale rel suffixed values by.

`path_root`

  Type: `const char*`

  Path in filesystem to use as relative root.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.